﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;

namespace Lab1MVCjQueryGrid.Models
{
    public class ProductInitializer : DropCreateDatabaseIfModelChanges<ProductsDB>
    {
        protected override void Seed(ProductsDB context)
        {
            var products = new List<Product>
            {
                new Product { ProductID = 1, Name="Adjustable Race", ProductNumber="AR-5381"},
                new Product { ProductID = 2, Name="Bearing Ball", ProductNumber="BA-8327"},
                new Product { ProductID = 3, Name="BB Ball Bearing", ProductNumber="BE-2349"},
                new Product { ProductID = 4, Name="Headset Ball Bearing", ProductNumber="BE-2908"},
                new Product { ProductID = 316, Name="Blade", ProductNumber="BL-2036"},
                new Product { ProductID = 317, Name="LL Crankarm", ProductNumber="CA-5965"},
                new Product { ProductID = 318, Name="ML Crankarm", ProductNumber="CA-6438"},
                new Product { ProductID = 319, Name="HL Crankarm", ProductNumber="CA-7457"},
                new Product { ProductID = 320, Name="ChainRing Bolts", ProductNumber="CB-2903"},
                new Product { ProductID = 321, Name="ChainRing Nut", ProductNumber="CN-6137"}
            };
            products.ForEach(d => context.Products.Add(d));
        }
    }
}